# norootforbuild

Name:       qmmp
Version:    0.5.1
Release:    1.pm.1.2

Summary:    Qt-based multimedia player
URL:        http://qmmp.ylsoftware.com/index_en.html
License:    GPL v2
Group:      Productivity/Multimedia/Sound/Players

Source0:    %{name}-%{version}.tar.bz2

BuildRoot:  %{_tmppath}/%{name}-%{version}-build

# minimal
BuildRequires:  cmake libcurl-devel libqt4-devel update-desktop-files
# extra
BuildRequires:  bs2b-devel enca-devel faad2-devel flac-devel libcddb-devel
BuildRequires:  libcdio-devel
BuildRequires:  libcurl-devel libffmpeg_oldabi-devel libmad-devel libmms-devel
BuildRequires:  libmpcdec-devel libmodplug-devel libpulse-devel
BuildRequires:  libsamplerate-devel libsndfile-devel wavpack-devel
BuildRequires:  libprojectM-devel libtag-devel


%description
This program is an audio-player, written with help of Qt library.
The user interface is similar to winamp or xmms.
Main opportunities:

    * unpacked winamp skins support
    * plugins support
    * MPEG1 layer 1/2/3 support
    * Ogg Vorbis support
    * Native FLAC support
    * Musepack support
    * WMA support
    * AlSA sound output
    * JACK sound output


%if %suse_version >= 1120
%package output-pulse
Summary:    Pulseaudio Sound Daemon output support for %{name}
Group:      Productivity/Multimedia/Sound/Players
Requires:   %{name} = %{version}

%description output-pulse
Pulseaudio support plugins for %{name}
%endif


%package devel
Group:      Development/Libraries/C and C++
Summary:    Development package for %{name}
Requires:   %{name} = %{version}

%description devel
Development package for %{name}.





%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS -fstack-protector"
export CXXFLAGS="$RPM_OPT_FLAGS -fstack-protector"

cmake ./ \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DCMAKE_BUILD_TYPE:STRING=RelWithDebInfo \
    -DUSE_MAD:BOOL=TRUE


%__make %{?jobs:-j%{jobs}}


%install
%makeinstall

%suse_update_desktop_file -r %{name} AudioVideo Player
%suse_update_desktop_file -r %{name}_cue AudioVideo Player
%suse_update_desktop_file -r %{name}_enqueue AudioVideo Player


%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig


%clean
%__rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog ChangeLog.svn README
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.0
%{_libdir}/lib%{name}.so.0.5.1
%{_libdir}/lib%{name}ui.so.0
%{_libdir}/lib%{name}ui.so.0.5.1
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/CommandLineOptions
%{_libdir}/%{name}/CommandLineOptions/libincdecvolumeoption.so
%{_libdir}/%{name}/CommandLineOptions/libseekoption.so
%{_libdir}/%{name}/CommandLineOptions/libstatusoption.so
%dir %{_libdir}/%{name}/Effect
%{_libdir}/%{name}/Effect/libbs2b.so
%{_libdir}/%{name}/Effect/libladspa.so
%{_libdir}/%{name}/Effect/libsrconverter.so
%{_libdir}/%{name}/Effect/libcrossfade.so
%{_libdir}/%{name}/Effect/libstereo.so
%dir %{_libdir}/%{name}/Engines
%{_libdir}/%{name}/Engines/libmplayer.so
%dir %{_libdir}/%{name}/FileDialogs
%{_libdir}/%{name}/FileDialogs/libqmmpfiledialog.so
%dir %{_libdir}/%{name}/General
%{_libdir}/%{name}/General/libudisks.so
%{_libdir}/%{name}/General/libcovermanager.so
%{_libdir}/%{name}/General/libfileops.so
%{_libdir}/%{name}/General/libhal.so
%{_libdir}/%{name}/General/libhotkey.so
%{_libdir}/%{name}/General/libkdenotify.so
%{_libdir}/%{name}/General/liblyrics.so
%{_libdir}/%{name}/General/libmpris.so
%{_libdir}/%{name}/General/libnotifier.so
%{_libdir}/%{name}/General/libscrobbler.so
%{_libdir}/%{name}/General/libstatusicon.so
%dir %{_libdir}/%{name}/Input
%{_libdir}/%{name}/Input/libaac.so
%{_libdir}/%{name}/Input/libcdaudio.so
%{_libdir}/%{name}/Input/libcue.so
%{_libdir}/%{name}/Input/libffmpeg.so
%{_libdir}/%{name}/Input/libflac.so
%{_libdir}/%{name}/Input/libmad.so
%{_libdir}/%{name}/Input/libmodplug.so
%{_libdir}/%{name}/Input/libmpc.so
%{_libdir}/%{name}/Input/libsndfile.so
%{_libdir}/%{name}/Input/libvorbis.so
%{_libdir}/%{name}/Input/libwavpack.so
%dir %{_libdir}/%{name}/Output
%{_libdir}/%{name}/Output/libalsa.so
%{_libdir}/%{name}/Output/libjack.so
%{_libdir}/%{name}/Output/libnull.so
%{_libdir}/%{name}/Output/liboss.so
%dir %{_libdir}/%{name}/PlaylistFormats
%{_libdir}/%{name}/PlaylistFormats/libm3uplaylistformat.so
%{_libdir}/%{name}/PlaylistFormats/libplsplaylistformat.so
%{_libdir}/%{name}/PlaylistFormats/libxspfplaylistformat.so
%dir %{_libdir}/%{name}/Transports
%{_libdir}/%{name}/Transports/libhttp.so
%{_libdir}/%{name}/Transports/libmms.so
%dir %{_libdir}/%{name}/Visual
%{_libdir}/%{name}/Visual/libanalyzer.so
%{_libdir}/%{name}/Visual/libprojectm.so
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}_cue.desktop
%{_datadir}/applications/%{name}_enqueue.desktop
%dir %{_datadir}/icons/hicolor/
%dir %{_datadir}/icons/hicolor/16x16
%dir %{_datadir}/icons/hicolor/16x16/apps
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%dir %{_datadir}/icons/hicolor/32x32
%dir %{_datadir}/icons/hicolor/32x32/apps
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%dir %{_datadir}/icons/hicolor/48x48
%dir %{_datadir}/icons/hicolor/48x48/apps
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%dir %{_datadir}/icons/hicolor/scalable
%dir %{_datadir}/icons/hicolor/scalable/apps
%{_datadir}/icons/hicolor/scalable/apps/%{name}-simple.svgz
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svgz
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/images
%{_datadir}/%{name}/images/app_icon.png
%{_datadir}/%{name}/images/empty_cover.png

%if %suse_version >= 1120
%files output-pulse
%defattr(-,root,root)
%{_libdir}/%{name}/Output/libpulseaudio.so
%endif

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%dir %{_includedir}/%{name}ui
%{_includedir}/%{name}ui/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/lib%{name}ui.so


%changelog
* Sat Jun 18 2011 detlef@links2linux.de
- new upstream version <0.5.0>
  * added latest ffmpeg support
  * added ac3 support
  * added possibility to switch normal/shaded mode by double click
    (Panagiotis Papadopoulos)
  * decreased startup delay
  * fixed visualization bug
  * fixed scrobbler plugin
  * fixed build scripts
  * fixed signals synchronization
  * fixed mplayer support
  * fixed segmentation fault in the alsa settings dialog
  * fixed broken mpris2
  * fixed windows overlapping at left side of screen (Artur Guzik)
  * fixed frozen while cycling through deleted files in playlist
  * fixed status icon bugs (Artur Guzik)
  * fixed skinned button bug
  * fixed metacity support
  * removed internal api usage from gme plugin
  * updated Chinese Traditional translation (lon)
  * updated Chinese Simplified translation (lon)
  * updated German translation (Panagiotis Papadopoulos)
* Sat Mar 26 2011 detlef@links2linux.de
- new upstream version <0.5.0>
  * added extra stereo plugin
  * added udisks plugin
  * added midi support
  * added chiptune formats support
  * added crossfade effect (experimental)
  * added mpris 2.0 support
  * added scrobbling 2.0 protocol support
  * added xdg icons support
  * added tint2/lxpanel support
  * added wm autodetection
  * added lxde integration
  * added possibility to center balance on middle-click
  * added --status and --nowplaying command line options
  * added possibility to move tabs
  * added possibility to copy tracks between  playlists (Avihay Baratz)
  * added 'show on all desktops' option
  * added 96 kHz samplerate support to equalizer
  * added icons for udisks/hal devices
  * added button to the details dialog, that opens up the directory of that file (thanks to Panagiotis Papadopoulos)
  * added audio buffer size option
  * added 'show playlist' and 'show equalizer' hotkeys
  * added shortcut editor
  * added 'stop after current song' and 'no playlist advance' features (Avihay Baratz)
  * added song numbers alignment
  * reduced seeking delay
  * reduced equalizer delay
  * reworked main menu
  * improved cue plugin (Evgeny Gleyzerman)
  * improved audio effects implementation
  * improved playlist mapping
  * improved text scroller
  * moved OSS4 support to separate plugin
  * fixed playlist behavior (Avihay Baratz)
  * fixed problems with large fonts in playlist
  * fixed problems with invalid URLs
  * fixed window WM_CLASS/WM_ROLE properties
  * fixed format detection by mime type
  * updated Russian translation
  * updated Ukrainian translation (Gennadi Motsyo)
  * updated Polish translation (Grzegorz Gibas)
  * updated Japanese translation (Ryota Shimamoto)
  * updated German translation (Panagiotis Papadopoulos)
  * updated Spanish translation (Félix Medrano)
  * updated Lithuanian translation (Algirdas Butkus)
* Sat Mar 12 2011 detlef@links2linux.de
- new upstream version <0.4.6>
  * added support for read-only options to ladspa plugin
  * fixed qmake build (Ryota Shimamoto)
  * fixed headers list (Ryota Shimamoto)
  * fixed typos
  * fixed scrobbler plugin (Ferdinand Vesely)
  * updated Japanese translation (Ryota Shimamoto)
* Sun Feb 20 2011 detlef@links2linux.de
- new upstream version <0.4.4>
  * added possibility to save cue tracks inside playlist files
  * optimized ladspa plugin
  * fixed random playback (Anton Petrusevich)
  * fixed metacity support
  * fixed windows titles
  * fixed cue parsing
  * fixed problem with glibc 2.13 (Michał Grosicki).
  * switched to LyricWiki again
  * updated Japanese translation (Ryota Shimamoto)
  * updated Russian translation
* Fri Nov 19 2010 detlef@links2linux.de
- new upstream version <0.4.3>
  * added dvd autodetection
  * added possibility to center balance on middle-click (Panagiotis Papadopoulos)
  * fixed build (Christian Morales Vega)
  * fixed problems with pidgin music tracker
  * fixed command line processing
  * fixed skins list update
  * fixed segmentation fault on video playback
  * fixed bug with 'next' command processing
  * fixed memory leak
  * fixed vorbis comment saving
  * fixed aac streams support
  * fixed ape noise while seeking
  * fixed Russian translation
  * fixed crash when adding multiple directories simultaneously
  * fixed add/remove effects problem
* Sun Sep  5 2010 detlef@links2linux.de
- new upstream version <0.4.2>
  * added Japanese translation (RyoTa SimaMoto)
  * added Spanish translation (Félix Medrano)
  * added offset support into mplayer plugin
  * updated German translation (Panagiotis Papadopoulos)
  * updated Polish translation (Grzegorz Gibas)
  * fixed build scripts
  * fixed shorten playback
  * fixed freezes on corrupted files
  * fixed problem with UDS under freebsd (RyoTa SimaMoto)
  * fixed oss delays
  * fixed possible freezes with mplayer plugin
  * fixed problems with some video files.
  * fixed lyrics plugin (due api changes)
  * fixed template parsing (Avihay Baratz)
  * optimized tag editor form
  * removed deprecated functions from jack plugin
* Sun Jun 13 2010 detlef@links2linux.de
- new upstream version <0.4.1>
  * added Dutch translation (Ronald Uitermark)
  * added shorten audio format
  * fixed flv playback
  * fixed mplayer support
  * fixed popup notifications
  * fixed time format
  * fixed possible segmentation fault
  * fixed bug which causes equalizer to appear when closing the preferences
    window
  * fixed notification template
  * fixed mpris regression
  * fixed url dialog
  * fixed removable volumes detection
  * fixed problem with metadata updating
  * skip invalid files
  * removed obsolete memalign function
* Sun May  2 2010 detlef@links2linux.de
- new upstream version <0.4.0>
  * sound core has been partially rewritten
  * added transport plugin api
  * added engine plugin api
  * added template based tag formatting
  * added templates support to notification plugin
  * added cover support
  * added unified details dialog
  * added support for additional tags
  * added bitmap text support (Erik Ölsar)
  * added status icon popup message (Artur Guzik)
  * added kde notifications plugin (Artur Guzik)
  * added skinned cursors (Erik Ölsar)
  * added double size mode
  * added multiple playlists support
  * added popup information
  * added ladspa host plugin
  * added ReplayGain support
  * added aac streams support
  * added cover manager plugin
  * added 16-bit output
  * added automatic charset detection (for cue and icy metadata)
  * added null output plugin
  * added cddb support
  * added ogg flac support
  * added option 'continue playback on startup'
  * added option 'always on top'
  * added seeking to command line
  * added possibility to remove invalid or duplicate tracks from playlist
  * added http plugin
  * added mms plugin (experimental)
  * added cover support to mpris plugin
  * added scalable icons (Adria Arrufat and Quentin Denis)
  * removed deprecated Qt classes
  * removed http support from core
  * improved cue support
  * improved scrobbler plugin
  * improved fileops plugin
  * fixed gaps between cue tracks
  * fixed ape seeking (thanks to Michail Zheludkov)
  * updated Ukrainian translation (Gennadi Motsyo)
  * updated Czech translation (Karel Volný)
  * updated Russian translation
  * updated Hungarian translation (Németh Gábor)
  * updated Lithuanian translation (Algirdas Butkus)
  * updated Polish translation (Grzegorz Gibas)
* Tue Apr 20 2010 detlef@links2linux.de
- new upstream version <0.3.4>
  * Fixed build
  * Fixed bug in the global shortcut editor
  * Fixed 24-bit wavpack support
  * Fixed lyrics viewer
  * Fixed desktop file (Karel Volný)
* Fri Mar 12 2010 detlef@links2linux.de
- new upstream version <0.3.3>
  * added Hungarian translation (Németh Gábor)
  * fixed kde dialog support (thanks to Sebastian Piping)
  * fixed problems with some mp3 files
  * fixed crash on m4a files
  * fixed settings dialog
  * fixed proxy support
* Tue Jan 12 2010 detlef@links2linux.de
- new upstream version <0.3.2>
  * added metacity compatibility
  * added projectM 2.0 support
  * added kde dialog support
  * removed XFree86-Misc dependency
  * fixed software volume control
  * fixed segfault with 6-channel files
  * fixed cue parsing
  * improved "jump to" dialog behaviour
* Sat Jan  2 2010 detlef@links2linux.de
- new upstream version <0.3.1>
* Sat Dec  6 2008 guru@unixtech.be
- update to 0.2.3
* Sat Aug 30 2008 quentin@links2linux.de
- update to upstream 0.2.2
* Sun Aug 17 2008 quentin@links2linux.de
- update to upstream 0.2.1
* Mon Apr  7 2008 quentin@links2linux.de
- update to upstream 0.1.6
* Mon Dec  3 2007 quentin@links2linux.de
- initial package with 0.1.5
